<?php
/**
Plugin Name: Simple Site Valuation
Description: Plugin to show your site's value and <a href="http://ministatus.com/ministatus.com.html">basic SEO</a> info on a badge.
Version: 1.2
Author: DSF
Author URI: http://ministatus.com
**/

/*
widget class : settings, form, display, update
*/

class SimpleBadge_Widget extends WP_Widget
{

	function SimpleBadge_Widget()
	{
		$widget_ops = array('classname' => 'SimpleBadge_Widget', 'description' => __( 'Mini seo analysis to badge or pdf' ) );
		parent::WP_Widget(false, $name = 'Simple Site Valuation Badge', $widget_ops);
	}

	function widget($args, $instance)
	{
		extract( $args );


		$the_site = 'http://ministatus.com/';
		$the_blog = $this -> cleanUrl($instance['theWebPage']);

		$the_link = $the_site . $the_blog . ".html";

		$big__img = $the_site . 'bfreebie/'.$the_blog.'.html';
		$sml__img = $the_site . 'freebie/'.$the_blog.'.html';

		$big_imag = '<img src="'.$big__img.'" width="160" height="350" alt="miniStatus - website data analysis for domain: '.$the_blog.'" title="miniStatus - website data analysis for domain: '.$the_blog.'" style="border:0; margin:0 auto;" />';
		$sml_imag = '<img src="'.$sml__img.'" width="200" height="65" alt="miniStatus - website value estimation for domain: '.$the_blog.'" title="miniStatus - website value estimation for domain: '.$the_blog.'" style="border:0; margin:0 auto;" />';

		$big_href = '<a href="'.$the_link.'" target="_blank">'.$big_imag.'</a>';
		$sml_href = '<a href="'.$the_link.'" target="_blank">'.$sml_imag.'</a>';

		if('bigB' == $instance['bigORsmall'])
		{
			$theImage = $big_href;
		}
		else
		{
			$theImage = $sml_href;
		}


		echo $before_widget;
		$output = '';

		if($instance['the_wrapps'] != '')
		{
			$output .= '<div class="site_valuation_badge" id = "div_'.$this->id.'">';
			echo $before_title;
			echo 'This website worth';
			echo $after_title;
		}

		$output .= $theImage;

		if($instance['the_wrapps'] != '')
		{
			$output .=  '</div>';
		}
		
		echo $output;
		echo $after_widget; 
	}

	function update($new_instance, $old_instance)
	{
		return $new_instance;
	}

	function cleanUrl($url)
	{
		$url = trim($url);
		$url = urldecode(stripslashes($url));
		$url = str_replace("http://www.", "", $url);
		$url = str_replace("https://www.", "", $url);
		$url = str_replace("http://", "", $url);
		$url = str_replace("https://", "", $url);
		if( substr($url,0,4) === "www." ){$url = substr($url,4,strlen($url));}
		$url = explode("/", $url);
		$url = $url[0];
		return $url;
	}

	function form($instance)
	{
		$the_site = 'http://ministatus.com/';

		if ( trim($instance['theWebPage']) !== '' )
		{
			$the_blog = $this -> cleanUrl($instance['theWebPage']);
		}
		else
		{
			$the_blog = $_SERVER['HTTP_HOST'];
		}

		// start sample domains ;-)
		//$the_blog = 'ministatus.com';
		//$the_blog = 'latentstrength.com';
		// end sample domains

		$the_link = $the_site . $the_blog . ".html";

		$big__img = $the_site . 'bfreebie/'.$the_blog.'.html';
		$sml__img = $the_site . 'freebie/'.$the_blog.'.html';
		$big_imag = '<img src="'.$big__img.'" width="160" height="350" alt="miniStatus - website data analysis" title="miniStatus - website data analysis" border="0" />';
		$sml_imag = '<img src="'.$sml__img.'" width="200" height="65" alt="miniStatus - website value estimation" title="miniStatus - website value estimation" border="0" />';



		$the_fill = WP_PLUGIN_URL . '/simple-site-valuation/transparent.png';
		$theImage = '';


		if('bigB' == $instance['bigORsmall'])
		{
			$theImage = $big__img;
		}
		else
		{
			$theImage = $sml__img;
		}

		echo '<div style="padding:10px 0 10px 0; margin:0 0 10px 0; border-top:1px dotted #CCC; border-bottom:1px dotted #CCC;">';
			if (@getimagesize($theImage))
			{
				if('bigB' == $instance['bigORsmall'])
				{
					echo "<p>That's it (detailed badge), thanks.</p>";
					echo '<div style="background:#EEE url('.$the_fill.') repeat; overflow:hidden; height:auto; padding:20px 0 20px 0; position:relative; border:3px solid #DDD; text-align:center;">'.$big_imag.'</div>';
				}
				else
				{
					echo "<p>That's it (simple badge), thanks.</p>";
					echo '<div style="background:#EEE url('.$the_fill.') repeat; overflow:hidden; height:auto; padding:20px 0 20px 0; position:relative; border:3px solid #DDD; text-align:center;">'.$sml_imag.'</div>';
				}
			}
			else
			{
				echo '<p>To initiate your site\'s value badge please visit <a href="' . $the_link . '" target="_blank">this page</a> 2 times ;-)</p>';
				echo '<p><b>1th</b> time - let the page be until you\'ll see: "Gathering Info" changed into "Search Finished"</p>';
				echo '<p><b>2nd</b> time - scroll down to the bottom of the page and press "Generate your Badge" button</p>';
				echo '<i>... that should be all, just press "Save" below to preview your site\'s value</i>';
				echo '<p>&nbsp;</p>';
				echo '<div style="background:#EEE url('.$the_fill.') repeat; overflow:hidden; height:auto; padding:20px 0 20px 0; position:relative; border:3px solid #DDD; text-align:center;"><b>There\'s no image/badge untill the above are met.</b></div>';
			}
		echo '</div>';


		$the_wrapps = esc_attr($instance['the_wrapps']);
		$bigORsmall = esc_attr($instance['bigORsmall']);
		$theWebPage = esc_attr($instance['theWebPage']);
?>


<p>
	<input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('the_wrapps'); ?>" name="<?php echo $this->get_field_name('the_wrapps'); ?>" value="true" <?php if($the_wrapps == 'true'){echo 'checked="true"';} ?> /> <label for="<?php $this->get_field_id('the_wrapps'); ?>"> <?php echo _e('Use DIV as wrapper:'); ?></label>
</p>

<p>
<label for="<?php echo $this->get_field_id('bigORsmall'); ?>"><?php _e('Use the big (detailed) or small (simple) badge image.'); ?></label>
<select class="widefat" name="<?php echo $this->get_field_name('bigORsmall'); ?>" id="<?php echo $this->get_field_id('bigORsmall'); ?>" > 	
	<option value="smlB" <?php if('smlB' == $bigORsmall){ echo "selected=\"selected\""; } ?> >Small Badge</option>
	<option value="bigB" <?php if('bigB' == $bigORsmall){ echo "selected=\"selected\""; } ?> >Big Badge</option>
</select>
</p>

<p>
	<label for="<?php $this->get_field_id('theWebPage'); ?>"> <?php echo _e('Your domain name is:'); ?></label>
    <input class="widefat" type="text" id="<?php echo $this->get_field_id('theWebPage'); ?>" name="<?php echo $this->get_field_name('theWebPage'); ?>" value="<?php echo $the_blog; ?>" />
</p>


<?php
	}

}





/*** Register widget. ***/
function SimpleBadge_load_widgets() {
	register_widget( 'SimpleBadge_Widget' );
}

/*** Initiate all ***/
add_action('widgets_init', create_function('', 'return register_widget("SimpleBadge_Widget");'));
?>
